# Get User

## /users/:user\_id

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/users/:user_id`

This endpoint allows you to retrieve details for a user account.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | id of user. |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 User retrieved successfully." %}

```
{
	status: true,
	message: 'User retrieved successfully',
	data: {
		carriers: {
			domestic: [{
				id: 'CA-57817511298',
				name: 'Kwik Delivery'			
			},{
				id: 'CA-75867693999',
				name: 'Sendstack'			
			}],
			regional: [{
				id: 'CA-55085474292',
				name: 'Fedex (Red Star Express)'			
			},{
				id: 'CA-26458064035',
				name: 'GIG Logistics'			
			}],
			international: [{
				id: 'CA-38139208388',
				name: 'DHL Express'			
			},{
				id: 'CA-68449927312',
				name: 'Sendbox'			
			},{		
				id: 'CA-75540598397',
				name: 'Topship'
			},{		
				id: 'CA-30614897119',
				name: 'United Parcel Services'
			}]
		},
		company_name: 'Terminal Africa',
		email: 'support@terminal-africa.com',
		first_name: 'Larry',
		last_name: 'Banjo',
		id: '6aVb7978zZYmke2gJPF9WppUEWvvK5OU',
		name: 'Larry Banjo',
		phone: '+2345442289021',
		user_id: 'USER-72759104719',
		wallet: 'nGvZRE5lyb7H1ZuORKVjKlXfETsWff0J',
		status: 'success',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/user/get-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
